org.apache.groovy.groovysh.completion

## Interfaces

- IdentifierCompleter

## Classes

- BackslashEscapeCompleter
- CommandNameCompleter
- CustomClassSyntaxCompleter
- FileNameCompleter
- GroovySyntaxCompleter
- ImportsSyntaxCompleter
- InfixKeywordSyntaxCompleter
- KeywordSyntaxCompleter
- NavigablePropertiesCompleter
- ReflectionCompleter
- ReflectionCompletionCandidate
- StricterArgumentCompleter
- VariableSyntaxCompleter

## Enums

- GroovySyntaxCompleter.CompletionCase

## Exceptions

- GroovySyntaxCompleter.InStringException